Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000259 [Piwigo] user comments minor always 2006.01.03 21:57 2006.02.09 20:39
Reporter mache View Status public  
Assigned To nikrou
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version BSF branch (dev) Product Version 1.5.2
  Target Version Product Build
Summary 0000259: Un lien donné dans un commentaire est altéré.
Description Lorsqu'un lien est donné dans un commentaire (type http://monsite/rep1/rep2/index.html) [^] le premier et le dernier slash de l'URL disparaissent (http:/monsite/rep1/rep2index.html) et la police du texte comprise entre ces deux slash est formatée en italique.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version 4.3.10
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000547)
chrisaga (developer)
2006.01.04 07:17

En fait, c'est le fonctionnement normal car la syntaxe /texte/ permet de mettre le mot "texte" en italique dans un commentaire. Je n'ai pas en tête comment entrer correctement une url, mais ça doit se trouver dans le wiki.
(0000553)
nikrou (developer)
2006.01.07 13:03
edited on: 2006.01.07 17:11

Non Christophe le problème existe bien. Essaie de poster une url dans un commentaire. Je me suis un peu penché sur le problème hier c'est une histoire de addslashes/stripslashes!

Au temps pour moi je n'avais pas remarqué la fonction parse_comment_content(). ce n'est donc pas un bug. On pourrait à la rigueur imaginer de remplacer un lien directement.

(0000554)
plg (manager)
2006.01.07 21:00

nikrou, puisque tu as commencé à regarder, je t'assigne le bug :-)

Il y a un bug dans parse_comment_content() en effet. Je suis d'accord avec toi, pour les liens (commençant par http(s)) on fait un lien HTML. Je te conseille de t'inspirer du code d'autres applications (comme punbb) car c'est une problématique récurrente des applications web.
(0000556)
nikrou (developer)
2006.01.09 20:31
edited on: 2006.01.09 22:23

Bug corrigé en branche 1.5 [Subversion] r1002

(0000626)
nikrou (developer)
2006.02.09 20:39

report dans le tronc [Subversion] r1030

- Issue History
Date Modified Username Field Change
2006.01.03 21:57 mache New Issue
2006.01.03 21:57 mache browser => any
2006.01.03 21:57 mache PHP version => 4.3.10
2006.01.03 21:57 mache Web server => Apache 1.3.x
2006.01.04 07:17 chrisaga Note Added: 0000547
2006.01.07 13:03 nikrou Note Added: 0000553
2006.01.07 17:09 nikrou Note Edited: 0000553
2006.01.07 17:10 nikrou Note Edited: 0000553
2006.01.07 17:11 nikrou Note Edited: 0000553
2006.01.07 21:00 plg Note Added: 0000554
2006.01.07 21:00 plg Assigned To => nikrou
2006.01.07 21:00 plg Status new => assigned
2006.01.09 20:31 nikrou Note Added: 0000556
2006.01.09 20:31 nikrou Resolution open => fixed
2006.01.09 20:33 nikrou Status assigned => resolved
2006.01.09 20:33 nikrou Resolution fixed => open
2006.01.09 22:23 plg Note Edited: 0000556
2006.02.09 20:39 nikrou Status resolved => closed
2006.02.09 20:39 nikrou Note Added: 0000626
2006.02.09 20:39 nikrou Resolution open => fixed
2006.02.09 20:39 nikrou Fixed in Version => BSF branch (dev)


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker